Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Functions
win32ole_type.c File Reference
`#include "win32ole.h"`

Go to the source code of this file.

## Data Structures
struct | oletypedata

## Functions
ITypeInfo * | itypeinfo (VALUE self)
VALUE | ole_type_from_itypeinfo (ITypeInfo *pTypeInfo)
VALUE | create_win32ole_type (ITypeInfo *pTypeInfo, VALUE name)
void | Init_win32ole_type (void)

## Function Documentation

## ◆ create_win32ole_type()

VALUE create_win32ole_type | ( | ITypeInfo * | pTypeInfo,
|  | VALUE | name
| ) |  |

Definition at line 207 of file win32ole_type.c.

References obj.

Referenced by ole_type_from_itypeinfo().

## ◆ Init_win32ole_type()

void Init_win32ole_type | ( | void |  | ) |

Definition at line 886 of file win32ole_type.c.

References cWIN32OLE_TYPE, rb_cObject, rb_define_class(), and rb_define_singleton_method().

## ◆ itypeinfo()

ITypeInfo* itypeinfo | ( | VALUE | self | ) |

Definition at line 76 of file win32ole_type.c.

References TypedData_Get_Struct.

## ◆ ole_type_from_itypeinfo()

VALUE ole_type_from_itypeinfo | ( | ITypeInfo * | pTypeInfo | ) |

Definition at line 84 of file win32ole_type.c.

References create_win32ole_type(), HRESULT(), index, NULL, OLE_RELEASE, oletypedata::pTypeInfo, Qnil, and WC2VSTR.